0 Replies Latest reply on Dec 3, 2009 12:09 PM by Lekan Omotayo

    Upgrading Fuse ESB CXF bundles

    Lekan Omotayo Expert

      I am trying to upgrade the CXF bundles in SMX 4.1.0.2 stable version. This is because I had dependency complaints while trying to install the OSGi bundle below

       

       

                  

                 <to uri="nmr:service:Service/ServiceSoap12?mep=inout"/>

                  

                   

       

       

      while trying to install mvn:org.apache.servicemix/servicemix-cxf-bc/2009.03-fuse-SNAPSHOT it required servicemix-comm so I tried to install mvn:org.apache.servicemix/servicemix-common/2009.03-fuse-SNAPSHOT which in turn required org.osgi.framework.

       

      In the hope of installing org.osgi.framework, I installed mvn:org.apache.felix/org.apache.felix.framework/2.0.2 which was properly installed, however, when I tried to isntall mvn:org.apache.servicemix/servicemix-common/2009.03-fuse-SNAPSHOT again it says:

       

      ERROR CommandLineExecutionFailed: org.apache.geronimo.gshell.command.CommandException: org.osgi.framework.BundleException: Unable to resolve due to constraint violation

       

      Kindly advise.